<bugID>1021744<Summary>Don't modify globals in QR decoder</Summary><Description>In bug 1013997, Alex is working on loading the DevTools modules in one compartment to save memory.

This means they will share globals, and so need to play nicely together.

The QR decoder extends Array prototype[1], but there's only one use of this, so it could just be inlined.

[1]: http://mxr.mozilla.org/mozilla-central/source/toolkit/devtools/qrcode/decoder/index.js#2568</Description></bugID>